<template>
  <el-card class="basic-card-item" shadow="never">
    <template #header>
      {{ title }}
    </template>
    <slot></slot>
  </el-card>
</template>

<script setup lang="ts">
defineProps<{
  title: string;
}>();
</script>

<style lang="scss">
.basic-card-item {
  --el-card-padding: 0;
  --el-card-bg-color: var(--background5);
  --el-card-border-radius: 8px;
  --el-card-border-color: var(--border);

  .el-card__header {
    font-family: Roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 16.41px;
    text-align: left;
    color: var(--text5);
    padding: 12px 16px;
    text-transform: uppercase;
  }

  .el-card__body {
    --el-card-padding: 8px 16px;
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 14.06px;
    color: var(--text5);
  }
}
</style>
